summaryrefslogtreecommitdiffstats
path: root/defaultenv/bin/_update
diff options
context:
space:
mode:
Diffstat (limited to 'defaultenv/bin/_update')
-rw-r--r--defaultenv/bin/_update11
1 files changed, 4 insertions, 7 deletions
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index 9e88dea6dc..e7cf1496e9 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -10,7 +10,7 @@ if [ ! -e "$part" ]; then
exit 1
fi
-if [ x$mode = xtftp ]; then
+if [ x$mode = xtftp -o x$mode = xnfs ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
@@ -20,6 +20,7 @@ if [ x$mode = xtftp ]; then
echo "Server did not reply! Update aborted."
exit 1
fi
+ load=$mode
fi
if [ x$mode = xxmodem ]; then
@@ -28,6 +29,7 @@ if [ x$mode = xxmodem ]; then
echo "loadb failed or cancelled! Update aborted."
exit 1
fi
+ load="cp -v"
fi
unprotect $part
@@ -40,11 +42,6 @@ erase $part || exit 1
echo
echo "flashing $image to $part"
echo
-
-if [ x$mode = xtftp ]; then
- tftp $image $part || exit 1
-else
- cp -v $image $part || exit 1
-fi
+$load $image $part || exit 1
protect $part